﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Web;

namespace SyncMVC.Models
{
    public class ProductCategory
    {        
        public Int64 Id { get; set; }       
        public String Name { get; set; }        
        public Double MinimalValue { get; set; }        
        public Int16 productType { get; set; }        
        public String TypeName
        {
            get
            {
                return GetNameidentifier(this.productType);
            }
        }
        
        public List<ProductCategory> GetAll()
        {
            var results = new List<ProductCategory>();
            for (int i = 0; i < 5; i++)
            {
                ProductCategory obj = new ProductCategory();
                obj.Id = i;
                obj.MinimalValue = i * 0.5;
                obj.Name = "Name " + i;
                obj.productType =(Int16) i;              
                results.Add(obj);
            }
            return results.ToList();
        }
        public string GetNameidentifier(int type)
        {            
            return Enum.Parse(typeof(TypeName), type.ToString()).ToString();            
        }
    }
    public enum TypeName
    {
        [EnumMember(Value = "0")]
        Chai,
        [EnumMember(Value = "1")]
        Biscuits,
        [EnumMember(Value = "2")]
        Milk,
        [EnumMember(Value = "3")]
        Sweets,
        [EnumMember(Value = "4")]
        Curd
    };
}